import { IResource } from '@aws-cdk/core';
import { Construct } from 'constructs';
/**
 * (experimental) Represents an MSK cluster.
 *
 * @experimental
 */
export interface ICluster extends IResource {
    /**
     * (experimental) the ARN of the MSK cluster.
     *
     * @experimental
     */
    readonly clusterArn: string;
}
/**
 * (experimental) An MSK cluster.
 *
 * @experimental
 */
export declare class Cluster {
    /**
     * (experimental) Creates a Cluster construct that represents an existing MSK cluster.
     *
     * @experimental
     */
    static fromClusterArn(scope: Construct, id: string, clusterArn: string): ICluster;
}
